local MAP_ID = 15

BtWQuests_AddChain(BTWQUESTS_CHAIN_CLASSIC_BADLANDS_RHEA, {
	name = GetAchievementCriteriaInfo(4900, 1),
	category = BTWQUESTS_CATEGORY_CLASSIC_BADLANDS,
	expansion = BTWQUESTS_EXPANSION_CLASSIC,
	range = {1, 60},
	completed = {
		type = "quest",
		id = 27769,
	},
	items = {
		{
			type = "quest",
			id = 27763,
			x = 3,
			y = 1,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27774,
			x = 3,
			y = 2,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27764,
			x = 3,
			y = 3,
			connections = { 1, 2 },
		},
		{
			type = "quest",
			id = 27765,
			x = 2,
			y = 4,
			connections = { 2 },
		},
		{
			type = "quest",
			id = 27766,
			x = 4,
			y = 4,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27770,
			x = 3,
			y = 5,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27771,
			x = 3,
			y = 6,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27769,
			x = 3,
			y = 7,
			connections = { 1 },
		},
			id = 27912,
		{
			type = "chain",
			id = BTWQUESTS_CHAIN_CLASSIC_BADLANDS_THETITANSKNOWLEDGEH, -- and BTWQUESTS_CHAIN_CLASSIC_BADLANDS_THETITANSKNOWLEDGEA, but this is not properly supported
			x = 3,
			y = 8,
			connections = {},
		},
	}
})
BtWQuests_AddChain(BTWQUESTS_CHAIN_CLASSIC_BADLANDS_THEFATEOFADRAGONFLIGHT, {
	name = GetAchievementCriteriaInfo(4900, 2),
	category = BTWQUESTS_CATEGORY_CLASSIC_BADLANDS,
	expansion = BTWQUESTS_EXPANSION_CLASSIC,
	range = {1, 60},
	completed = {
		type = "quest",
		id = 27859,
	},
	items = {
		{
			type = "quest",
			id = 27889,
			x = 3,
			y = 1,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27890,
			x = 3,
			y = 2,
			connections = { 1, 2, 3 },
		},
		{
			type = "quest",
			id = 27891,
			x = 1,
			y = 3,
			connections = { 3 },
		},
		{
			type = "quest",
			id = 27892,
			x = 3,
			y = 3,
			connections = { 2 },
		},
		{
			type = "quest",
			id = 27893,
			x = 5,
			y = 3,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27894,
			x = 3,
			y = 4,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27895,
			x = 3,
			y = 5,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27896,
			x = 3,
			y = 6,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27897,
			x = 3,
			y = 7,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27898,
			x = 3,
			y = 8,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27930,
			x = 3,
			y = 9,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27859,
			x = 3,
			y = 10,
			connections = {},
		},
		{
			type = "quest",
			id = 27826,
			x = 3,
			y = 20,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27827,
			x = 3,
			y = 21,
			connections = { 1, 2, 3 },
		},
		{
			type = "quest",
			id = 27828,
			x = 1,
			y = 22,
			connections = { 3 },
		},
		{
			type = "quest",
			id = 27834,
			x = 3,
			y = 22,
			connections = { 2 },
		},
		{
			type = "quest",
			id = 27835,
			x = 5,
			y = 22,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27829,
			x = 3,
			y = 23,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27830,
			x = 3,
			y = 24,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27831,
			x = 3,
			y = 25,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27832,
			x = 3,
			y = 26,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27858,
			x = 3,
			y = 27,
			connections = { 1 },
		},
	}
})
BtWQuests_AddChain(BTWQUESTS_CHAIN_CLASSIC_BADLANDS_THETITANSKNOWLEDGEA, {
	name = GetAchievementCriteriaInfo(4900, 3),
	category = BTWQUESTS_CATEGORY_CLASSIC_BADLANDS,
	expansion = BTWQUESTS_EXPANSION_CLASSIC,
	range = {1, 60},
	completed = {
		type = "quest",
		id = 27794,
	},
	items = {
		{
			type = "quest",
			id = 27791,
			x = 3,
			y = 4,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27792,
			x = 3,
			y = 5,
			connections = { 1, 2 },
		},
		{
			type = "quest",
			id = 27796,
			x = 2,
			y = 6,
			connections = { 2 },
		},
		{
			type = "quest",
			id = 27797,
			x = 4,
			y = 6,
			connections = { 2 },
		},
		{
			type = "quest",
			id = 27693,
			x = 2,
			y = 7,
			connections = { 2 },
		},
		{
			type = "quest",
			id = 27709,
			x = 4,
			y = 7,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27793,
			x = 3,
			y = 8,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27912,
			x = 3,
			y = 9,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27794,
			x = 3,
			y = 10,
			connections = {},
		},
	}
})
BtWQuests_AddChain(BTWQUESTS_CHAIN_CLASSIC_BADLANDS_THETITANSKNOWLEDGEH, {
	name = GetAchievementCriteriaInfo(4900, 3),
	category = BTWQUESTS_CATEGORY_CLASSIC_BADLANDS,
	expansion = BTWQUESTS_EXPANSION_CLASSIC,
	range = {1, 60},
	completed = {
		type = "quest",
		id = 27888,
	},
	items = {
		{
			type = "quest",
			id = 27772,
			x = 3,
			y = 2,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27789,
			x = 3,
			y = 3,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27881,
			x = 3,
			y = 4,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27882,
			x = 3,
			y = 5,
			connections = { 1, 2 },
		},
		{
			type = "quest",
			id = 27883,
			x = 2,
			y = 6,
			connections = { 2 },
		},
		{
			type = "quest",
			id = 27884,
			x = 4,
			y = 6,
			connections = { 2 },
		},
		{
			type = "quest",
			id = 27885,
			x = 2,
			y = 7,
			connections = { 2 },
		},
		{
			type = "quest",
			id = 27886,
			x = 4,
			y = 7,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27887,
			x = 3,
			y = 8,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27913,
			x = 3,
			y = 9,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27888,
			x = 3,
			y = 10,
			connections = {},
		},
	}
})
BtWQuests_AddChain(BTWQUESTS_CHAIN_CLASSIC_BADLANDS_THEDAYTHATDEATHWINGCAME, {
	name = GetAchievementCriteriaInfo(4900, 4),
	category = BTWQUESTS_CATEGORY_CLASSIC_BADLANDS,
	expansion = BTWQUESTS_EXPANSION_CLASSIC,
	range = {1, 60},
	completed = {
		type = "quest",
		id = 27715,
	},
	items = {
		{
			type = "quest",
			id = 27927,
			x = 3,
			y = 1,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27713,
			x = 3,
			y = 2,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27714,
			x = 3,
			y = 3,
			connections = { 1 },
		},
		{
			type = "quest",
			id = 27715,
			x = 3,
			y = 4,
			connections = {},
		},
	}
})
BtWQuests_AddChain(BTWQUESTS_CHAIN_CLASSIC_BADLANDS_OTHER_BOTH, {
	name = "Other Both",
	category = BTWQUESTS_CATEGORY_CLASSIC_BADLANDS,
	expansion = BTWQUESTS_EXPANSION_CLASSIC,
	range = {1, 60},
	-- completed = {
	-- 	type = "quest",
	-- 	id = 0,
	-- },
	items = {
		{
			type = "quest",
			id = 27776,
			x = 0,
			y = 0,
			connections = {},
		},
		{
			type = "quest",
			id = 27762,
			x = 2,
			y = 0,
			connections = {},
		},
		{
			type = "quest",
			id = 27775,
			x = 4,
			y = 0,
			connections = {},
		},
	}
})
BtWQuests_AddChain(BTWQUESTS_CHAIN_CLASSIC_BADLANDS_OTHER_ALLIANCE, {
	name = "Other Alliance",
	category = BTWQUESTS_CATEGORY_CLASSIC_BADLANDS,
	expansion = BTWQUESTS_EXPANSION_CLASSIC,
	range = {1, 60},
	-- completed = {
	-- 	type = "quest",
	-- 	id = 0,
	-- },
	items = {
		{
			type = "quest",
			id = 27833,
			x = 0,
			y = 0,
			connections = {},
		},
		{
			type = "quest",
			id = 27825,
			x = 2,
			y = 0,
			connections = {},
		},
		{
			type = "quest",
			id = 27824,
			x = 4,
			y = 0,
			connections = {},
		},
		{
			type = "quest",
			id = 27823,
			x = 6,
			y = 0,
			connections = {},
		},
		{
			type = "quest",
			id = 28579,
			x = 0,
			y = 1,
			connections = {},
		},
	}
})
BtWQuests_AddChain(BTWQUESTS_CHAIN_CLASSIC_BADLANDS_OTHER_HORDE, {
	name = "Other Horde",
	category = BTWQUESTS_CATEGORY_CLASSIC_BADLANDS,
	expansion = BTWQUESTS_EXPANSION_CLASSIC,
	range = {1, 60},
	-- completed = {
	-- 	type = "quest",
	-- 	id = 0,
	-- },
	items = {
		{
			type = "quest",
			id = 27880,
			x = 0,
			y = 0,
			connections = {},
		},
		{
			type = "quest",
			id = 27879,
			x = 2,
			y = 0,
			connections = {},
		},
		{
			type = "quest",
			id = 27878,
			x = 4,
			y = 0,
			connections = {},
		},
		{
			type = "quest",
			id = 27877,
			x = 6,
			y = 0,
			connections = {},
		},
		{
			type = "quest",
			id = 28580,
			x = 0,
			y = 1,
			connections = {},
		},
	}
})

BtWQuests_AddCategory(BTWQUESTS_CATEGORY_CLASSIC_BADLANDS, {
	name = BtWQuests_GetMapName(MAP_ID),
	expansion = BTWQUESTS_EXPANSION_CLASSIC,
	items = {
		{
			type = "chain",
			id = BTWQUESTS_CHAIN_CLASSIC_BADLANDS_RHEA,
		},
		{
			type = "chain",
			id = BTWQUESTS_CHAIN_CLASSIC_BADLANDS_THEFATEOFADRAGONFLIGHT,
		},
		{
			type = "chain",
			id = BTWQUESTS_CHAIN_CLASSIC_BADLANDS_THETITANSKNOWLEDGEA,
		},
		{
			type = "chain",
			id = BTWQUESTS_CHAIN_CLASSIC_BADLANDS_THETITANSKNOWLEDGEH,
		},
		{
			type = "chain",
			id = BTWQUESTS_CHAIN_CLASSIC_BADLANDS_THEDAYTHATDEATHWINGCAME,
		},
		{
			type = "chain",
			id = BTWQUESTS_CHAIN_CLASSIC_BADLANDS_OTHER_BOTH,
		},
		{
			type = "chain",
			id = BTWQUESTS_CHAIN_CLASSIC_BADLANDS_OTHER_ALLIANCE,
		},
		{
			type = "chain",
			id = BTWQUESTS_CHAIN_CLASSIC_BADLANDS_OTHER_HORDE,
		},
	}
})

BtWQuests_AddExpansionItem(BTWQUESTS_EXPANSION_CLASSIC, {
    type = "category",
    id = BTWQUESTS_CATEGORY_CLASSIC_BADLANDS,
})

BtWQuests_AddMapRecursive(MAP_ID, {
    type = "category",
    id = BTWQUESTS_CATEGORY_CLASSIC_BADLANDS,
})